org.eclipse.incquery.runtime.matchers.backend

## Class QueryEvaluationHint

- java.lang.Object
- - org.eclipse.incquery.runtime.matchers.backend.QueryEvaluationHint

-     public class QueryEvaluationHint
      extends java.lang.Object

  Provides IncQuery with additional hints on how a query should be evaluated. The same hint can be provided to multiple queries.

  Here be dragons: for advanced users only.

  Author:
    Bergmann Gabor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryEvaluationHint(java.lang.Class<? extends IQueryBackend> queryBackendClass, java.util.Map<java.lang.String,java.lang.Object> backendHints)` Specifies the suggested query backend, and additional backend-specific options.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `getBackendHints()` Each entry in the map overrides backend-specific options regarding query evaluation.
    `java.lang.Class<? extends IQueryBackend>` | `getQueryBackendClass()` A suggestion for the query evaluator algorithm (whose factory must be registered).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryEvaluationHint

          public QueryEvaluationHint(java.lang.Class<? extends IQueryBackend> queryBackendClass,
                                     java.util.Map<java.lang.String,java.lang.Object> backendHints)

      Specifies the suggested query backend, and additional backend-specific options. Both parameters are optional.
      Parameters:
        `queryBackendClass` - overrides the query evaluator algorithm (whose factory must be registered); passing null retains the default algorithm associated with the query
        `backendHints` - each entry in the map overrides backend-specific options regarding query evaluation (null-valued map entries permitted to erase hints); passing null means default options associated with the query

  - ### Method Detail

    - #### getQueryBackendClass

          public java.lang.Class<? extends IQueryBackend> getQueryBackendClass()

      A suggestion for the query evaluator algorithm (whose factory must be registered).

      Can be null.

    - #### getBackendHints

          public java.util.Map<java.lang.String,java.lang.Object> getBackendHints()

      Each entry in the map overrides backend-specific options regarding query evaluation.

      Can be null. Null-valued map entries permitted to erase hints.